
import Foundation

var days = 7
var today = Date()
var event = Date(timeIntervalSinceNow: Double(days) * 24 * 3600)

if today.compare(event) == .orderedAscending {
   let interval = event.timeIntervalSince(today)
   print("We have to wait \(Int(interval)) seconds")
   // "We have to wait 604800 seconds"
}
